#include-once

; #INDEX# =======================================================================================================================
; Titre .........: Font
; AutoIt Version : 3.1.1++
; Language ......: Franais
; Description ...: Permet de charger et dcharger une police de caractre sans l'installer
; Author(s) .....: Mano78170
; Dll(s) ........: gdi32.dll
; ===============================================================================================================================

; #CURRENT# =====================================================================================================================
;_LoadFont
;_UnloadFont
; ===============================================================================================================================

; #FONCTION# ====================================================================================================================
; Nom...........: _LoadFont
; Description ...: Charge un fichier de police en mmoire
; Syntaxe.........: _LoadFont($FontFile)
; Parameters ....: $FontFile - Path du fichier de police
; Valeur de retour .: - Si la fonction choue: 0
;                     - Si elle russit: 1
; Auteur ........: Mano78170
; Remarques .......: Prend en charge les fichiers .fon,.fnt,.ttf,.ttc,.fot,.ocf,.mmm,.pfb,.pfm
; Related .......: _UnloadFont
; Lien ..........: http://msdn.microsoft.com/en-us/library/dd183326%28v=vs.85%29.aspx
; Exemple .......: Non
; ===============================================================================================================================
Func _LoadFont($FontFile)
	$Struct = DllStructCreate("char[" & StringLen($FontFile) + 1 & "]")
	DllStructSetData($Struct, 1, $FontFile)
	$DllMsg = DllCall("gdi32.dll", "int", "AddFontResource", "ptr", DllStructGetPtr($Struct))
	Return $DllMsg[0]
EndFunc   ;==>_LoadFont

; #FONCTION# ====================================================================================================================
; Nom...........: _UnloadFont
; Description ...: Dcharge un fichier de police en mmoire
; Syntaxe.........: _UnloadFont($FontFile)
; Parameters ....: $FontFile - Path du fichier de police
; Valeur de retour .: - Si la fonction choue: False
;                     - Si elle russit: True
; Auteur ........: Mano78170
; Remarques .......: Prend en charge les fichiers .fon,.fnt,.ttf,.ttc,.fot,.ocf,.mmm,.pfb,.pfm
; Related .......: _LoadFont
; Lien ..........:http://msdn.microsoft.com/en-us/library/dd162922%28v=vs.85%29.aspx
; Exemple .......: Non
; ===============================================================================================================================
Func _UnloadFont($FontFile)
		$Struct = DllStructCreate("char[" & StringLen($FontFile) + 1 & "]")
	DllStructSetData($Struct, 1, $FontFile)
	$DllMsg = DllCall("gdi32.dll", "BOOL", "RemoveFontResource", "ptr", DllStructGetPtr($Struct))
	Return $DllMsg[0]
EndFunc   ;==>_UnloadFont