#cs
	Liste des fonctions :

	_TootTip : Cr une tooltip.
	_ToolTip_SetText : change le texte et/ou la couleur du texte et/ou la couleur du fond.
	_ToolTip_Delete : Supprime la tooltip



	Utilisation :


	$tooltip = _ToolTip($parent, $texte [, $titre [, $x_pos [, $y_pos [, $largeur [, $hauteur [, $couleur_de_fond [, $couleur_texte]]]]]]])
	$labels = @extended

	$tooltip : la fonction renvoie le handle de la tooltip, ncessaire pour la supprimer ou changer le texte.
	$labels : la fonction renvoie en extension une array contenant les handles des labels du titre de la tooltip et du texte,
	ncessaires pour changer le titre ou le texte. 0 : titre ; 1 : texte.
	$parent : Handle de la fentre parente.
	$texte : Texte  afficher dans la tooltip.
	$titre : Le titre de la tooltip, sinon "".
	$x_pos : La position selon l'axe X par rapport au bord gauche de l'cran, sinon -1.
	$y_pos : La position selon l'axe Y par rapport au bord suprieur de l'cran, sinon -1.
	$largeur : La largeur de la tooltip, sinon -1.
	$hauteur : La hauteur de la tooltip, sinon -1.
	$couleur_de_fond : La couleur pour le fond de la tooltip, sinon -1.
	$couleur_texte : La couleur du texte de la tooltip, sinon -1.


	$erreur = _ToolTip_SetText($tooltip, $labels[0 ou 1] [, $texte [, $couleur_de_fond [, $couleur_texte]]])

	$erreur : La fonction renvoie 0 en cas d'erreur, 1 si tout c'est bien droul.
	$tooltip : Le handle de la tooltip renvoy par _ToolTip().
	$labels[0 ou 1] : Le handle du label concern (0 pour le titre, 1 pour le texte) renvoy en extension par _ToolTip().
	$texte : Le nouveau titre ou texte, sinon "".
	$couleur_de_fond : La nouvelle couleur du fond de la tooltip, sinon -1.
	$couleut_texte : La nouvelle couleur du texte de la tooltip, sinon -1.


	$erreur = _ToolTip_Delete($tooltip)

	$erreur : La fonction renvoie 0 en cas d'erreur, 1 si tout c'est bien droul.
	$tooltip : Le handle de la tooltip renvoy par _ToolTip().
#ce



#include <GUIConstantsEx.au3>

Func _ToolTip($parent, $text, $title = "", $x = -1, $y = -1, $width = -1, $height = -1, $bk_color = -1, $color = -1)
	Dim $LABEL[2]
	If Not IsNumber($x) Or $x == "-1" Then $x = 0
	If Not IsNumber($y) Or $y == "-1" Then $y = 0
	If Not IsNumber($width) Or $width == "-1" Then $width = 200
	If Not IsNumber($height) Or $height == "-1" Then $height = 75
	If Not IsNumber($bk_color) Or $bk_color == "-1" Then $bk_color = 0xFFFFFF
	If Not IsNumber($color) Or $color == "-1" Then $color = 0x000000
	If Not IsHWnd($parent) Then Return 0
	If Not IsString($title) Or $title == "" Then $title = ""
	If Not IsString($text) Or $text == "" Then Return 0
	$TOOLTIP = GUICreate("", $width, $height, $x, $y, $WS_POPUP, $WS_EX_TOOLWINDOW, $parent)
	GUISetBkColor($bk_color, $TOOLTIP)
	$LABEL[0] = GUICtrlCreateLabel($title, 5, 0, $width - 5, 30)
	GUICtrlSetFont($LABEL[0], 16, 800)
	GUICtrlSetBkColor($LABEL[0], $bk_color)
	GUICtrlSetColor($LABEL[0], $color)
	$LABEL[1] = GUICtrlCreateLabel($text, 5, 30, $width - 5, $height - 30)
	GUICtrlSetBkColor($LABEL[1], $bk_color)
	GUICtrlSetColor($LABEL[1], $color)
	GUISetState(@SW_SHOW)
	SetExtended($LABEL)
	Return $TOOLTIP
EndFunc   ;==>_ToolTip



Func _ToolTip_SetText($TOOLTIP, $HANDLE, $text = "", $bk_color = -1, $color = -1)
	If Not IsString($text) Then $text = ""
	If Not IsHWnd($TOOLTIP) Then Return 0
	If Not IsHWnd($HANDLE) Then Return 0
	If $bk_color <> "-1" Then
		If Not IsNumber($bk_color) Then $bk_color = 0xFFFFFF
		GUICtrlSetBkColor($HANDLE, Abs($bk_color))
	EndIf
	If $color <> "-1" Then
		If Not IsNumber($color) Then $color = 0x000000
		GUICtrlSetColor($HANDLE, $color)
	EndIf
	If $text <> "" Then
		GUICtrlSetData($HANDLE, $text)
	EndIf
	Return 1
EndFunc   ;==>_ToolTip_SetText



Func _ToolTip_Delete($TOOLTIP)
	If Not IsHWnd($TOOLTIP) Then Return 0
	GUIDelete($TOOLTIP)
	Return 1
EndFunc   ;==>_ToolTip_Delete
